package padding

// TODO

type P5Padding struct {
}

func (P5Padding) Pad(src []byte, blockSize int) (dst []byte) {
	// panic("P5Padding is not support now")
	// return src
	return P7Padding{}.Pad(src, blockSize)
}

func (P5Padding) Unpad(src []byte, blockSize int) (dst []byte, err error) {
	// panic("P5Padding is not support now")
	// return nil, nil
	return P7Padding{}.Unpad(src, blockSize)

}
